# Concept Bidirectional StreamConcept
Concept for bidirectional streams (both for reading and writing).

Extends | StreamConcept
All Extended | StreamConcept
Defined in | <seqan/basic.h>
Signature | `concept BidirectionalStreamConcept : StreamConcept;`

## Interface Function Overview

### Interface Functions Inherited From StreamConcept

- `atEnd`
- `directionIterator`
- `position`
- `setPosition`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From StreamConcept

- `DirectionIterator`
- `Position`
- `Size`
- `Value`

#### Dox Sources

    /*!
     * @concept BidirectionalStreamConcept Bidirectional StreamConcept
     *
     * @headerfile <seqan/basic.h>
     *
     * @extends StreamConcept
     *
     * @brief Concept for bidirectional streams (both for reading and writing).
     *
     * @signature concept BidirectionalStreamConcept : StreamConcept;
     */